{"openapi":"3.0.1","info":{"title":"Microlesson API","description":"Microlesson API documentation","termsOfService":"","contact":{"name":"","url":"","email":""},"license":{"name":"unlicensed","url":""},"version":"0.0.1"},"servers":[{"url":"http://microlesson.titan-coach-platform.eu","description":"Generated server url"}],"paths":{"/api/microlessons/{id}":{"get":{"tags":["microlesson-resource"],"operationId":"getMicrolesson","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonDTO"}}}}}},"put":{"tags":["microlesson-resource"],"operationId":"updateMicrolesson","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonDTO"}}}}}},"delete":{"tags":["microlesson-resource"],"operationId":"deleteMicrolesson","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["microlesson-resource"],"operationId":"partialUpdateMicrolesson","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/MicrolessonDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonDTO"}}}}}}},"/api/microlesson-histories/{id}":{"get":{"tags":["microlesson-history-resource"],"operationId":"getMicrolessonHistory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonHistoryDTO"}}}}}},"put":{"tags":["microlesson-history-resource"],"operationId":"updateMicrolessonHistory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonHistoryDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonHistoryDTO"}}}}}},"delete":{"tags":["microlesson-history-resource"],"operationId":"deleteMicrolessonHistory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["microlesson-history-resource"],"operationId":"partialUpdateMicrolessonHistory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonHistoryDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/MicrolessonHistoryDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonHistoryDTO"}}}}}}},"/api/microlesson-collections/{id}":{"get":{"tags":["microlesson-collection-resource"],"operationId":"getMicrolessonCollection","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"}}}}}},"put":{"tags":["microlesson-collection-resource"],"operationId":"updateMicrolessonCollection","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"}}}}}},"delete":{"tags":["microlesson-collection-resource"],"operationId":"deleteMicrolessonCollection","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["microlesson-collection-resource"],"operationId":"partialUpdateMicrolessonCollection","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"}}}}}}},"/api/storage/{imageId}":{"post":{"tags":["minio-storage-resource"],"operationId":"upload","parameters":[{"name":"imageId","in":"path","required":true,"schema":{"type":"string"}},{"name":"source","in":"query","required":false,"schema":{"type":"string","default":"Manual"}}],"requestBody":{"content":{"application/json":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FileInfoDTO"}}}}}}},"/api/mobile-support/user-contents/from-url":{"post":{"tags":["mobile-support-resource"],"operationId":"getUserContentFromUrl","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserContentDTO"}}}}}}},"/api/microlessons":{"get":{"tags":["microlesson-resource"],"operationId":"getAllMicrolessons","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MicrolessonDTO"}}}}}}},"post":{"tags":["microlesson-resource"],"operationId":"createMicrolesson","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonRequestModelDTO"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonDTO"}}}}}}},"/api/microlessons/nav":{"post":{"tags":["microlesson-resource"],"operationId":"createMicrolessonWithNavItem","parameters":[{"name":"parentId","in":"query","required":false,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonRequestModelDTO"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NavigationItemDTO"}}}}}}},"/api/microlessons/nav/external":{"post":{"tags":["microlesson-resource"],"operationId":"createExternalMicrolessonWithNavItem","parameters":[{"name":"parentId","in":"query","required":false,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NavigationItemDTO"}}}}}}},"/api/microlessons/external":{"post":{"tags":["microlesson-resource"],"operationId":"createExternalMicrolesson","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonDTO"}}}}}}},"/api/microlesson-kafka/publish":{"post":{"tags":["microlesson-kafka-resource"],"operationId":"publish","parameters":[{"name":"message","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/api/microlesson-histories":{"get":{"tags":["microlesson-history-resource"],"operationId":"getAllMicrolessonHistoriesByUser","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MicrolessonHistoryDTO"}}}}}}},"post":{"tags":["microlesson-history-resource"],"operationId":"createMicrolessonHistory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonHistoryDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonHistoryDTO"}}}}}}},"/api/microlesson-collections":{"get":{"tags":["microlesson-collection-resource"],"operationId":"getMicrolessonCollections","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"}}}}}}},"post":{"tags":["microlesson-collection-resource"],"operationId":"createMicrolessonCollection","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"}}}}}}},"/api/microlesson-collections/nav":{"post":{"tags":["microlesson-collection-resource"],"operationId":"createMicrolessonCollectionWithNavItem","parameters":[{"name":"parentId","in":"query","required":false,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NavigationItemDTO"}}}}}}},"/api/users":{"get":{"tags":["public-user-resource"],"operationId":"getAllPublicUsers","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDTO"}}}}}}}},"/api/storage/{imageId}/{id}":{"get":{"tags":["minio-storage-resource"],"operationId":"download","parameters":[{"name":"imageId","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/api/nav-items/by-microlesson-id/{id}":{"get":{"tags":["microlesson-resource"],"operationId":"getNavItemsByMicrolesson","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NavigationItemDTO"}}}}}}},"/api/mobile-support/document-stores":{"get":{"tags":["mobile-support-resource"],"operationId":"getAllDocumentStores","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DocumentStoreDTO"}}}}}}}},"/api/mobile-support/document-stores/{id}":{"get":{"tags":["mobile-support-resource"],"operationId":"getDocumentStore","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DocumentStoreDTO"}}}}}}},"/api/microlessons/{id}/download":{"get":{"tags":["microlesson-resource"],"operationId":"downloadMicrolessonImage","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/microlessons/search/":{"get":{"tags":["microlesson-resource"],"operationId":"searchMicrolessons","parameters":[{"name":"keyword","in":"query","required":false,"schema":{"type":"string"}},{"name":"title","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"description","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"tags","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"source","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"type","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"collectionName","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"category","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"tactics","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"targetGroup","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"language","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MicrolessonDTO"}}}}}}}},"/api/microlessons/preview":{"get":{"tags":["microlesson-resource"],"operationId":"getMicrolessonsPreview","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MicrolessonDTO"}}}}}}}},"/api/microlesson-kafka/unregister":{"get":{"tags":["microlesson-kafka-resource"],"operationId":"unregister","responses":{"200":{"description":"OK"}}}},"/api/microlesson-kafka/register":{"get":{"tags":["microlesson-kafka-resource"],"operationId":"register","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseBodyEmitter"}}}}}}},"/api/microlesson-histories/latest":{"get":{"tags":["microlesson-history-resource"],"operationId":"getLatestMicrolessonHistoriesByUser","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MicrolessonHistoryDTO"}}}}}}}},"/api/microlesson-histories/all":{"get":{"tags":["microlesson-history-resource"],"operationId":"getAllMicrolessonHistories","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MicrolessonHistoryDTO"}}}}}}}},"/api/microlesson-collections/{id}/microlessons":{"get":{"tags":["microlesson-collection-resource"],"operationId":"getMicrolessonsFromCollection","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"keyword","in":"query","required":false,"schema":{"type":"string"}},{"name":"title","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"description","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"tags","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"source","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"type","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"collectionName","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MicrolessonDTO"}}}}}}}},"/api/microlesson-collections/{id}/microlessons/all":{"get":{"tags":["microlesson-collection-resource"],"operationId":"getAllMicrolessonsFromCollection","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MicrolessonDTO"}}}}}}}},"/api/microlesson-collections/nav-items/{id}":{"get":{"tags":["microlesson-collection-resource"],"operationId":"getMicrolessonCollectionWithNavItem","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NavigationItemDTO"}}}}}},"delete":{"tags":["microlesson-collection-resource"],"operationId":"deleteMicrolessonCollectionWithNavItems","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/microlesson-collections/nav-items/in":{"get":{"tags":["microlesson-collection-resource"],"operationId":"getMicrolessonCollectionsWithNavItem","parameters":[{"name":"parentId","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NavigationItemDTO"}}}}}}}},"/api/microlesson-collections/nav-items/in/no-paging":{"get":{"tags":["microlesson-collection-resource"],"operationId":"getMicrolessonCollectionsWithNavItemNoPaging","parameters":[{"name":"parentId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NavigationItemDTO"}}}}}}}},"/api/microlesson-collections/nav-items/from-root":{"get":{"tags":["microlesson-collection-resource"],"operationId":"getMicrolessonCollectionsWithNavItemFromRoot","parameters":[{"name":"id","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NavigationItemDTO"}}}}}}}},"/api/microlesson-collections/nav-items/all":{"get":{"tags":["microlesson-collection-resource"],"operationId":"getAllNavItem","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NavigationItemDTO"}}}}}}}},"/api/microlesson-collections/all":{"get":{"tags":["microlesson-collection-resource"],"operationId":"getAllMicrolessonCollections","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"}}}}}}}},"/api/authorities":{"get":{"tags":["public-user-resource"],"operationId":"getAuthorities","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/microlessons/nav-items/{id}":{"delete":{"tags":["microlesson-resource"],"operationId":"deleteMicrolessonWithNavItem","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"MicrolessonDTO":{"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid"},"title":{"type":"string"},"description":{"type":"string"},"tags":{"type":"string"},"type":{"type":"string","enum":["DOCUMENT","IMAGE","VIDEO","URL"]},"source":{"type":"string"},"mediaObjectId":{"type":"string"},"category":{"type":"string"},"tactics":{"type":"string"},"signals":{"type":"string"},"targetGroup":{"type":"string"},"language":{"type":"string"},"duration":{"type":"string"},"accessibility":{"type":"string"},"collectionId":{"type":"string","format":"uuid"},"collectionName":{"type":"string"},"userGroup":{"type":"string"}}},"MicrolessonCollectionDTO":{"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid"},"name":{"type":"string"},"description":{"type":"string"},"userGroup":{"type":"string"}}},"MicrolessonHistoryDTO":{"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid"},"user":{"type":"string"},"collectionId":{"type":"string","format":"uuid"},"collectionName":{"type":"string"},"microlessonId":{"type":"string","format":"uuid"},"title":{"type":"string"},"source":{"type":"string","enum":["CHATBOT","CATALOGUE"]},"timeSpent":{"type":"number","format":"float"},"collectionNavItem":{"$ref":"#/components/schemas/NavigationItemDTO"},"microlessonNavItem":{"$ref":"#/components/schemas/NavigationItemDTO"}}},"NavigationItemDTO":{"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid"},"navigationItemType":{"type":"string","enum":["COLLECTION_TYPE","ITEM_TYPE"]},"itemId":{"type":"string","format":"uuid"},"parentNavItemId":{"type":"string","format":"uuid"},"microlessonCollection":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"},"microlesson":{"$ref":"#/components/schemas/MicrolessonDTO"},"parentMicrolessonCollection":{"$ref":"#/components/schemas/MicrolessonCollectionDTO"},"userGroup":{"type":"string"}}},"FileInfoDTO":{"type":"object","properties":{"name":{"type":"string"},"version":{"type":"string"}}},"UserContentDTO":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"title":{"type":"string"},"subtitle":{"type":"string"},"authors":{"type":"string"},"source":{"type":"string"},"publishDate":{"type":"string"},"text":{"type":"string"},"tags":{"type":"string"},"type":{"type":"string"},"url":{"type":"string"},"context":{"type":"string"},"language":{"type":"string"}}},"MicrolessonRequestModelDTO":{"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid"},"title":{"type":"string"},"description":{"type":"string"},"tags":{"type":"string"},"type":{"type":"string","enum":["DOCUMENT","IMAGE","VIDEO","URL"]},"source":{"type":"string"},"mediaObjectId":{"type":"string"},"category":{"type":"string"},"tactics":{"type":"string"},"signals":{"type":"string"},"targetGroup":{"type":"string"},"language":{"type":"string"},"duration":{"type":"string"},"accessibility":{"type":"string"},"collectionId":{"type":"string","format":"uuid"},"collectionName":{"type":"string"},"userGroup":{"type":"string"},"file":{"type":"string","format":"binary"}}},"UserDTO":{"type":"object","properties":{"id":{"type":"string"},"login":{"type":"string"}}},"DocumentStoreDTO":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"title":{"type":"string"},"subtitle":{"type":"string"},"authors":{"type":"string"},"source":{"type":"string"},"publishDate":{"type":"string"},"text":{"type":"string"},"tags":{"type":"string"},"type":{"type":"string"},"url":{"type":"string"},"context":{"type":"string"},"language":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"group":{"type":"string"}}},"ResponseBodyEmitter":{"type":"object","properties":{"timeout":{"type":"integer","format":"int64"}}},"Pageable":{"type":"object","properties":{"page":{"minimum":0,"type":"integer","format":"int32"},"size":{"minimum":1,"type":"integer","format":"int32"},"sort":{"type":"array","items":{"type":"string"}}}}}}}